org.eclipse.aether.util.graph.manager

## Class DependencyManagerUtils

- java.lang.Object
- - org.eclipse.aether.util.graph.manager.DependencyManagerUtils

-     public final class DependencyManagerUtils
      extends Object

  A utility class assisting in analyzing the effects of dependency management.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_PROP_VERBOSE` The key in the repository session's `configuration properties` used to store a `Boolean` flag controlling the verbose mode for dependency management.
    `static String` | `NODE_DATA_PREMANAGED_OPTIONAL` The key in the dependency node's `custom data` under which the original optional flag is stored.
    `static String` | `NODE_DATA_PREMANAGED_SCOPE` The key in the dependency node's `custom data` under which the original scope is stored.
    `static String` | `NODE_DATA_PREMANAGED_VERSION` The key in the dependency node's `custom data` under which the original version is stored.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyManagerUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Boolean` | `getPremanagedOptional(DependencyNode node)` Gets the optional flag of the specified dependency node before dependency management was applied (if any).
    `static String` | `getPremanagedScope(DependencyNode node)` Gets the scope of the specified dependency node before dependency management was applied (if any).
    `static String` | `getPremanagedVersion(DependencyNode node)` Gets the version or version range of the specified dependency node before dependency management was applied (if any).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_PROP_VERBOSE

          public static final String CONFIG_PROP_VERBOSE

      The key in the repository session's `configuration properties` used to store a `Boolean` flag controlling the verbose mode for dependency management. If enabled, the original attributes of a dependency before its update due to dependency managemnent will be recorded in the node's `custom data` when building a dependency graph.
      See Also:
        Constant Field Values

    - #### NODE_DATA_PREMANAGED_VERSION

          public static final String NODE_DATA_PREMANAGED_VERSION

      The key in the dependency node's `custom data` under which the original version is stored.
      See Also:
        Constant Field Values

    - #### NODE_DATA_PREMANAGED_SCOPE

          public static final String NODE_DATA_PREMANAGED_SCOPE

      The key in the dependency node's `custom data` under which the original scope is stored.
      See Also:
        Constant Field Values

    - #### NODE_DATA_PREMANAGED_OPTIONAL

          public static final String NODE_DATA_PREMANAGED_OPTIONAL

      The key in the dependency node's `custom data` under which the original optional flag is stored.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DependencyManagerUtils

          public DependencyManagerUtils()

  - ### Method Detail

    - #### getPremanagedVersion

          public static String getPremanagedVersion(DependencyNode node)

      Gets the version or version range of the specified dependency node before dependency management was applied (if any).
      Parameters:
        `node` - The dependency node to retrieve the premanaged data for, must not be `null`.
      Returns:
        The node's dependency version before dependency management or `null` if the version was not managed or if `CONFIG_PROP_VERBOSE` was not enabled.

    - #### getPremanagedScope

          public static String getPremanagedScope(DependencyNode node)

      Gets the scope of the specified dependency node before dependency management was applied (if any).
      Parameters:
        `node` - The dependency node to retrieve the premanaged data for, must not be `null`.
      Returns:
        The node's dependency scope before dependency management or `null` if the scope was not managed or if `CONFIG_PROP_VERBOSE` was not enabled.

    - #### getPremanagedOptional

          public static Boolean getPremanagedOptional(DependencyNode node)

      Gets the optional flag of the specified dependency node before dependency management was applied (if any).
      Parameters:
        `node` - The dependency node to retrieve the premanaged data for, must not be `null`.
      Returns:
        The node's optional flag before dependency management or `null` if the flag was not managed or if `CONFIG_PROP_VERBOSE` was not enabled.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.